using System;
using System.Configuration;
using System.Xml;

namespace CustomConfigSectionLib
{
	public class MyConfigSectionHandler:IConfigurationSectionHandler
	{
		#region IConfigurationSectionHandler Members

		public object Create(object parent, object configContext, System.Xml.XmlNode section)
		{
			XmlNode node=section;
			MyConfig config=new MyConfig();
			config.ContactName=node.ChildNodes[0].ChildNodes[0].Value;
			config.ContactEmail=node.ChildNodes[1].ChildNodes[0].Value;
			config.ContactPhone=node.ChildNodes[2].ChildNodes[0].Value;
			return config;
		}

		#endregion
	}

	public class MyConfig
	{
		public string ContactName;
		public string ContactEmail;
		public string ContactPhone;
	}

}
